msv_query(3)

NAME
msv_query - a query to the MSVA

SYNOPSIS

#include <msv.h>

  Data Fields

const char * context
const char * peertype
const char * peername
const char * pkctype
const char * pkcdata

Detailed Description

a query to the MSVA

Field Documentation

  const char* msv_query::context
certificate use context, such as 'https', 'ssh', or 'ike'

  const char* msv_query::peername
name of peer, such as 'web.monkeysphere.info'

  const char* msv_query::peertype
type of peer on remote side, such as 'client', 'server', or 'peer'

  const char* msv_query::pkcdata
public key carrier data encoded in the format specified by pkctype

  const char* msv_query::pkctype
format of public key carrier data, such as 'x509der', 'x509pem', or 'opensshpubkey'

Author

Generated automatically by Doxygen for libmsv from the source code.